---
title: "Create watchlist"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › watchlists

`POST /v2/watchlists`

## Request body

_Required._

- `name` (`watchlist-create.name`; string, required)
  - minLength 1; maxLength 120
- `description` (`watchlist-create.description`; string, optional, nullable)
  - maxLength 500

## Example request

```json
{
  "name": "string",
  "description": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.sureshake.com/v2/watchlists \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "string",
  "description": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/watchlists';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'string', description: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/watchlists"

payload = {
    "name": "string",
    "description": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "isActive": true,
    "entityCount": 0,
    "containsEntity": true,
    "createdAt": "string",
    "updatedAt": "string"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`watchlist-create.response.201.data`; object, required)
  - `id` (`watchlist-create.response.201.data.id`; string, required)
    - format `uuid`
  - `name` (`watchlist-create.response.201.data.name`; string, required)
  - `description` (`watchlist-create.response.201.data.description`; string, required, nullable)
  - `isActive` (`watchlist-create.response.201.data.isActive`; boolean, required)
  - `entityCount` (`watchlist-create.response.201.data.entityCount`; integer, required)
    - min 0
  - `createdAt` (`watchlist-create.response.201.data.createdAt`; string, required)
  - `updatedAt` (`watchlist-create.response.201.data.updatedAt`; string, required)
  - `containsEntity` (`watchlist-create.response.201.data.containsEntity`; boolean, optional)
- `meta` (`watchlist-create.response.201.meta`; object, optional)
  - `timestamp` (`watchlist-create.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-create.response.400.error`; object, required)
  - `code` (`watchlist-create.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-create.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-create.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-create.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-create.response.401.error`; object, required)
  - `code` (`watchlist-create.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-create.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-create.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-create.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-create.response.403.error`; object, required)
  - `code` (`watchlist-create.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-create.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-create.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-create.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-create.response.404.error`; object, required)
  - `code` (`watchlist-create.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-create.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-create.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-create.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-create.response.500.error`; object, required)
  - `code` (`watchlist-create.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-create.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-create.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-create.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/watchlists/create/index.md
